[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: icc with gcc 4.0.1 fails

On Fri, 2005-07-15 at 09:10 +0200, Tim Ruehsen wrote:
> Am Freitag, 15. Juli 2005 00:46 schrieb michael:
> > On my 'unstable' box, gcc recently got upgraded to
> >   23:35:48 ~/C$ gcc --version
> >   gcc (GCC) 4.0.1 (Debian 4.0.1-1)
> > 
> > but now my existing Intel C compile installation falls over:
> >   23:43:58 ~/C$ icc test.c
> >   Command-line error: invalid GNU version number: 401
> > 
> >   compilation aborted for test.c (code 4)
> > 
> > Has anybody else seen this or, more usefully, know the fix?
> This link might help you:
> http://www.intel.com/cd/ids/developer/asmo-na/eng/223868.htm?page=3

Here's what Intel had to say on it. Not convinced but will give it a try
& let you know how got on

        Whenever you install icc, it records the version of GCC that is
        installed on your machine. If you have upgraded the version of
        gcc now, I am afraid you will have to re-install the intel
        This is necessary to ensure a complete functioning of the intel
        compiler, since the intel compiler has its dependency on the
        underlying gnu C compiler.
        I believe I have answered your question, and know your time is
        valuable, so I am closing this issue now to preclude the need
        for you to respond.
        If problem persists or if I have not answered your question,
        simply reply to this issue as you would normally, and it will
        automatically re-open.
        Thank you for contacting Intel.

> Regards,
> 	Tim
Michael Bane
Atmospheric Physics Group
University of Manchester

Reply to: